Name:           autodownloader
Version:        0.3.0
Release:        %mkrel 2
Summary:        GUI-tool to automate the download of certain files
License:        GPLv2+
Group:          Networking/Other
URL:            http://sourceforge.net/projects/autodownloader
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       pygtk2.0-libglade
Requires:       hicolor-icon-theme

%description
Some software (usually games) requires certain data files to operate, sometimes
these datafiles can be freely downloaded but may not be redistributed and thus
cannot be put into so called packages as part of a distro.

autodownloader is a tool which can be used as part of a package to automate the
download of the needed files. It will prompt the user explaining to him the
need of the download and asking if it is ok to make an internet connection,
after this it will show the license of the to be downloaded files and last it
will do the actual download and md5 verification off these files. This whole
process can be configured by the packager through a simple configuration file.

Notice that Autodownloader while open source itself, may download files which
are not permitted to be (re)distributed unlike most files in Fedora.


%prep
%setup -q


%build
# nothing to build pure python code only


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog GladeWindow-license.txt README.txt TODO example.autodlrc
%{_datadir}/autodl
%{_datadir}/icons/hicolor/*/apps/autodl.png


%changelog
* Sun Nov 27 2010 Texstar <texstar at gmail.com> 0.3.0-2pclos2010
- fix rpm group to Networking/Other

* Wed Nov 25 2010 MBantz <martin dot bantz at gmail dot com> 0.3.0-1pclos2010
- Amended to PCLinuxOS from rel-eng at lists dot fedoraproject dot org

